# Browser automatisation for School portal substitution plan

1. Change `env.sampe` to `.env`
2. Fill **.env** with your **credentials** (Use your school's address for the login (e.g. schoolUrl = "https://login.schulportal.hessen.de/...XXX"))
3. Install the necessary Chromedriver from here https://chromedriver.chromium.org/downloads
4. Place the Chromedriver in this folder under the name `chromedriver`
5. Install necessary python libraries `pip install -r requirements.txt`

## Important
- Chrome must be installed on your device
- Make sure you have put both projects in the same **main folder** so everything works
- The Chromedriver and Chrome must have the same version (e.g. version 105)

**For example**:\
Main folder: `school-portal-substitution-plan`\
Browser folder: `school-portal-substitution-plan\school-portal-substitution-plan-browser`\
Chat folder: `school-portal-substitution-plan\school-portal-substitution-plan-matrix-chat-bot`

## Configuration completed - next step
At the end of the file main.py you have the possibility to adjust the time of the query
`schedule.every().day.at("05:00").do(run_threaded, start_bot)`

It is important to make sure that the time given is the same as the server time. Due to the time zone, there can be a time difference here and then the query is carried out at the server time and not at the desired time that you yourself have.

## Debugging
In the .env file you have the option to set browserDebug to true and thus visually see how the bot retrieves the data from the website. Of course, you can only see it visually if the set time has arrived.